#include "timer.h"


Timer::Timer(){
  startTime = clock();
  std::cout << startTime << std::endl;
}


std::string Timer::getTime(){
  clock_t elapsedTime = (clock() - startTime) / CLOCKS_PER_SEC;

  unsigned char seconds =  elapsedTime % 60;
  unsigned char minutes = (elapsedTime / 60) % 60;
  unsigned char hours   = (elapsedTime / 3600) % 24;
  unsigned char days    =  elapsedTime / 86400;

  std::string tmpString = "";

  if(days<10){ tmpString += "0"; }
  tmpString += std::to_string(days);

  if(hours<10){ tmpString += ":0"; }else{ tmpString+=":"; }
  tmpString += std::to_string(hours);

  if(minutes<10){ tmpString += ":0"; }else{ tmpString+=":"; }
  tmpString += std::to_string(minutes);

  if(seconds<10){ tmpString += ":0"; }else{ tmpString+=":"; }
  tmpString += std::to_string(seconds);

  return tmpString;
}
